<div bsModal #add_subpattern="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true" (onHide)="parent.hideModals()">
	<div class="modal-dialog modal-sm">
		<div class="modal-content">
		  <div class="modal-header">
		    <h2 class="modal-title"> Add a new subpattern to <b>{{pattern.name || pattern.id}}</b></h2>
		  </div>
		  <div class="modal-body centered">

		  	<div class="form-group row">
			  <label class="col-2 col-form-label">Subpattern ID : </label>
			  <div class="col-10">
			    <input class="form-control" type="text" [(ngModel)]="spId">
			  </div>
			</div>

			<div class="form-group row">
			  <label class="col-2 col-form-label">Minimum occurrences : </label>
			  <div class="col-10">
			    <input class="form-control" type="number" [(ngModel)]="minOccurrences">
			  </div>
			</div>

			<div class="form-group row">
			  <label class="col-2 col-form-label">Maximum occurrences : </label>
			  <div class="col-10">
			    <input class="form-control" type="number" [(ngModel)]="maxOccurrences">
			  </div>
			</div>

			<div *ngIf="triple">
				Triple selected : {{triple.e1.name}} - {{triple.e2.name}} - {{triple.e3.name}}
				<button class="btn btn-primary" (click)="showTriple=true"> Change triple </button>
				<div class="row">
					Which element is the pivot of the subpattern ?<br>
					<input type="radio" [value]="triple.e1" [checked]="pivotElement==triple.e1" [(ngModel)]="pivotElement" > {{triple.e1.name}} 
					<input type="radio" [value]="triple.e2"  [(ngModel)]="pivotElement" > {{triple.e2.name}}
					<input type="radio" [value]="triple.e3"  [(ngModel)]="pivotElement" > {{triple.e3.name}}
				</div>
			</div>
			<div class="buttons-group">
				<button #addTriple class="btn btn-primary" (click)="showTriple=true"> Add a triple </button>
				<button #submitSp type="submit" class="btn btn-primary" [disabled]="!triple || spId==''" (click)="submitSubpattern()">Add subpattern</button>
			</div>
			<br><br>
			<b>You must add an ID and a triple to the subpattern before submitting it.</b>
		  </div>
		</div>
	</div>
</div>

<add-triple *ngIf="showTriple" [current_project]="current_project" [subpattern]="undefined" [parentSubpattern]="this"></add-triple>